Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225959 - Merge Review: kcc
Summary: Merge Review: kcc
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:14 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-25 10:16:43 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:14:34 UTC
Fedora Merge Review: kcc

http://cvs.fedora.redhat.com/viewcvs/devel/kcc/
Initial Owner: tagoh@redhat.com

Comment 1 Parag AN(पराग) 2007-09-20 11:32:41 UTC
rpmlint complained only
kcc.i386: W: no-url-tag
The URL tag is missing.

SHOULD:
  Preserve timestamp using install or cp commands.
  Though not mandatory can use disttag.

otherwise looks ok to me.

Comment 2 Akira TAGOH 2007-09-21 06:42:42 UTC
Thanks for reviewing. well, unfortunately this package is one of things that we
lost upstream. I don't think I can provide URL tag for this package. and I
intentionally didn't give a dist tag for this package because the application
itself is stable enough and the updates doesn't appears frequently. so I just
wanted to avoid appearing the dist tag doesn't match to the actual release.

Anyway, the below should fixes the timestamp issue:

Spec file: http://tagoh.fedorapeople.org/kcc/kcc.spec
SRPM file: http://tagoh.fedorapeople.org/kcc/kcc-2.3-27.src.rpm


Comment 3 Parag AN(पराग) 2007-09-21 10:02:44 UTC
change %defattr(-,root,root)
to 
%defattr(-,root,root,-)
else looks fine to me.


Comment 4 Akira TAGOH 2007-09-25 02:51:42 UTC
Thanks. improved.

Comment 5 Parag AN(पराग) 2007-09-25 08:25:43 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
e8f4244fd5e7ffef51bcdca1c5a54ebc  kcc.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
- dist tag is NOT present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Pacakge kcc-2.3-27 ->
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) rtld(GNU_HASH)
+ Not a GUI app.

APPROVED.


Comment 6 Akira TAGOH 2007-09-25 10:16:43 UTC
Thanks. the updated kcc has been built on koji.


Note You need to log in before you can comment on or make changes to this bug.